<?php
/**
 * @Packge     : Monji
 * @Version    : 1.0
 * @Author     : Monji
 * @Author URI : https://themeforest.net/user/validthemes/portfolio
 *
 */

// Block direct access
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}   
    // Header
    get_header();

    /**
    * 
    * Hook for Blog Start Wrapper
    *
    * Hook monji_blog_start_wrap
    *
    * @Hooked monji_blog_start_wrap_cb 10
    *  
    */
    do_action( 'monji_blog_start_wrap' );

    /**
    * 
    * Hook for Blog Column Start Wrapper
    *
    * Hook monji_blog_col_start_wrap
    *
    * @Hooked monji_blog_col_start_wrap_cb 10
    *  
    */
    do_action( 'monji_blog_col_start_wrap' );

    /**
    * 
    * Hook for Blog Content
    *
    * Hook monji_blog_content
    *
    * @Hooked monji_blog_content_cb 10
    *  
    */
    do_action( 'monji_blog_content' );

    /**
    * 
    * Hook for Blog Pagination
    *
    * Hook monji_blog_pagination
    *
    * @Hooked monji_blog_pagination_cb 10
    *  
    */
    do_action( 'monji_blog_pagination' ); 

    /**
    * 
    * Hook for Blog Column End Wrapper
    *
    * Hook monji_blog_col_end_wrap
    *
    * @Hooked monji_blog_col_end_wrap_cb 10
    *  
    */
    do_action( 'monji_blog_col_end_wrap' ); 

    /**
    * 
    * Hook for Blog Sidebar
    *
    * Hook monji_blog_sidebar
    *
    * @Hooked monji_blog_sidebar_cb 10
    *  
    */
    do_action( 'monji_blog_sidebar' );     
        
    /**
    * 
    * Hook for Blog End Wrapper
    *
    * Hook monji_blog_end_wrap
    *
    * @Hooked monji_blog_end_wrap_cb 10
    *  
    */
    do_action( 'monji_blog_end_wrap' );

    //footer
    get_footer();