<?php
/**
 * @Packge     : Monji
 * @Version    : 1.0
 * @Author     : Monji
 * @Author URI : https://themeforest.net/user/validthemes/portfolio
 * Template Name: Coming Soon Page
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }

    if( class_exists( 'ReduxFramework' ) ) {
        $monjicoming_soontitle     = monji_opt( 'monji_coming_soon_title' );
        $monjicoming_soonsubtitle  = monji_opt( 'monji_coming_soon_subtitle' );
        $monjicoming_soonbtntext   = monji_opt( 'monji_coming_soon_btn_text' );
    } else {
        $monjicoming_soontitle     = __( 'Website Under Construction', 'monji' );
        $monjicoming_soonsubtitle  = __( 'Website Under Construction. Work Is Going On For The Website Please Stay With Us.', 'monji' );
        $monjicoming_soonbtntext   = __( 'Return To Home', 'monji' );
    }


    // get header
    get_header();

    echo '<section class="vs-error-wrapper space">';
        echo '<div class="container">';
            echo '<div class="error-content text-center">';
                if( ! empty( monji_opt( 'monji_coming_soon_image', 'url' ) ) ){
                    echo '<div class="error-img">';
                        echo monji_img_tag( array(
                            'url'   => esc_url( monji_opt( 'monji_coming_soon_image', 'url' ) ),
                        ) );
                    echo '</div>';
                }
                echo '<div class="row justify-content-center">';
                    echo '<div class="col-xl-9">';
                        if( ! empty( $monjicoming_soontitle ) ){
                            echo '<h2 class="error-title">'.esc_html( $monjicoming_soontitle ).'</h2>';
                        }
                        if( ! empty( $monjicoming_soonsubtitle ) ){
                            echo '<p class="error-text px-xl-5">'.esc_html( $monjicoming_soonsubtitle ).'</p>';
                        }
                        echo '<a href="'.esc_url( home_url('/') ).'" class="vs-btn mask-btn"><span class="btn-text">'.esc_html( $monjicoming_soonbtntext ).'</span><span class="btn-text-mask">'.esc_html( $monjicoming_soonbtntext ).'</span></a>';

                    echo '</div>';
                echo '</div>';
            echo '</div>';
        echo '</div>';
    echo '</section>';

    //footer
    get_footer();