<?php
/**
 * @Packge     : Monji
 * @Version    : 1.0
 * @Author     : Monji
 * @Author URI : https://themeforest.net/user/validthemes/portfolio
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }
    monji_setPostViews( get_the_ID() );
    ?>
    <div <?php post_class(); ?> >
        <div class="blog-item-box">
        <?php
            if( class_exists('ReduxFramework') ) {
                $monji_post_details_title_position = monji_opt('monji_post_details_title_position');
            } else {
                $monji_post_details_title_position = 'header';
            }

            $allowhtml = array(
                'p'         => array(
                    'class'     => array()
                ),
                'span'      => array(),
                'a'         => array(
                    'href'      => array(),
                    'title'     => array()
                ),
                'br'        => array(),
                'em'        => array(),
                'strong'    => array(),
                'b'         => array(),
            );

            // Blog Post Thumbnail
            do_action( 'monji_blog_post_thumb' );

            if( $monji_post_details_title_position != 'header' ) {
                echo '<h3>'.wp_kses( get_the_title(), $allowhtml ).'</h3>';
            }
            echo '<div class="info">';
                // Blog Post Meta
                do_action( 'monji_blog_post_meta' );

                if( get_the_content() ){
                    echo '<div class="blog-content">';
                        the_content();
                        // Link Pages
                        monji_link_pages();
                    echo '</div>';
                }
            echo '</div>';        
        echo '</div>';
    echo '</div>';
    /**
    *
    * Hook for Blog Details Author Bio
    *
    * Hook monji_blog_details_author_bio
    *
    * @Hooked monji_blog_details_author_bio_cb 10
    *
    */
    do_action( 'monji_blog_details_author_bio' );

    $monji_post_tag = get_the_tags();
    if( class_exists('ReduxFramework') ) {
        $monji_post_details_share_options = monji_opt('monji_post_details_share_options');
        $monji_show_post_tag = monji_opt( 'monji_display_post_tags' );
    } else {
        $monji_show_post_tag = true;
        $monji_post_details_share_options = false;
    }

    if( ! empty( $monji_post_tag ) && $monji_show_post_tag || $monji_post_details_share_options ){
        echo '<div class="post-tags share">';
            if( $monji_show_post_tag  && is_array( $monji_post_tag ) && ! empty( $monji_post_tag ) ){
                if( count( $monji_post_tag ) > 1 ){
                    $tag_text = __( 'Tags: ', 'monji' );
                }else{
                    $tag_text = __( 'Tag: ', 'monji' );
                }
                echo '<div class="tags">';
                    echo '<h4>'.esc_html( $tag_text ).'</h4>';
                    foreach( $monji_post_tag as $tags ){
                        echo '<a href="'.esc_url( get_tag_link( $tags->term_id ) ).'">'.esc_html( $tags->name ).'</a> ';
                    }
                echo '</div>';
            }
            /**
            *
            * Hook for Blog Social Share Options
            *
            * Hook monji_blog_details_share_options
            *
            * @Hooked monji_blog_details_share_options_cb 10
            *
            */
            do_action( 'monji_blog_details_share_options' );
            
        echo '</div>';
        
    }

    /**
    *
    * Hook for Blog Navigation
    *
    * Hook monji_blog_details_post_navigation
    *
    * @Hooked monji_blog_details_post_navigation_cb 10
    *
    */
    do_action( 'monji_blog_details_post_navigation' );

    /**
    *
    * Hook for Blog Details Comments
    *
    * Hook monji_blog_details_comments
    *
    * @Hooked monji_blog_details_comments_cb 10
    *
    */
    do_action( 'monji_blog_details_comments' );