<?php
/**
 * @Packge     : Monji
 * @Version    : 1.0
 * @Author     : Monji
 * @Author URI : https://themeforest.net/user/validthemes/portfolio
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }

    if( defined( 'CMB2_LOADED' )  ){
        if( !empty( monji_meta('page_breadcrumb_area') ) ) {
            $monji_page_breadcrumb_area  = monji_meta('page_breadcrumb_area');
        } else {
            $monji_page_breadcrumb_area = '1';
        }
    }else{
        $monji_page_breadcrumb_area = '1';
    }

    $allowhtml = array(
        'p'         => array(
            'class'     => array()
        ),
        'span'      => array(
            'class'     => array(),
        ),
        'a'         => array(
            'href'      => array(),
            'title'     => array()
        ),
        'br'        => array(),
        'em'        => array(),
        'strong'    => array(),
        'b'         => array(),
        'sub'       => array(),
        'sup'       => array(),
    );

    if(  is_page() || is_page_template( 'template-builder.php' )  ) {
        if( $monji_page_breadcrumb_area == '1' ) {
            if( class_exists( 'ReduxFramework' )  ){
                $class = '';
            }else{
                $class = 'thumb-less';
            }
            echo '<!-- Page title -->';
            echo '<div class="breadcrumb-area custom-breadcrumb shadow dark bg-cover text-center text-light '.esc_attr($class).'">';
                echo '<div class="container">';
                    echo '<div class="row">';
                        echo '<div class="col-lg-12 col-md-12">';
                            if( defined('CMB2_LOADED') || class_exists('ReduxFramework') ) {
                                if( monji_meta('page_breadcrumb_settings') == 'page' ) {
                                    $monji_page_title_switcher = monji_meta('page_title');
                                } elseif( monji_opt('monji_page_title_switcher') == true ) {
                                    $monji_page_title_switcher = monji_opt('monji_page_title_switcher');
                                }else{
                                    $monji_page_title_switcher = '1';
                                }
                            } else {
                                $monji_page_title_switcher = '1';
                            }

                            if( $monji_page_title_switcher == '1' ){
                                if( class_exists( 'ReduxFramework' ) ){
                                    $monji_page_title_tag    = monji_opt('monji_page_title_tag');
                                }else{
                                    $monji_page_title_tag    = 'h1';
                                }

                                if( defined( 'CMB2_LOADED' )  ){
                                    if( !empty( monji_meta('page_title_settings') ) ) {
                                        $monji_custom_title = monji_meta('page_title_settings');
                                    } else {
                                        $monji_custom_title = 'default';
                                    }
                                }else{
                                    $monji_custom_title = 'default';
                                }

                                if( $monji_custom_title == 'default' ) {
                                    echo monji_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $monji_page_title_tag ),
                                            "text"  => esc_html( get_the_title( ) ),
                                            'class' => 'breadcumb-title'
                                        )
                                    );
                                } else {
                                    echo monji_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $monji_page_title_tag ),
                                            "text"  => esc_html( monji_meta('custom_page_title') ),
                                            'class' => 'breadcumb-title'
                                        )
                                    );
                                }

                            }
                            if( defined('CMB2_LOADED') || class_exists('ReduxFramework') ) {

                                if( monji_meta('page_breadcrumb_settings') == 'page' ) {
                                    $monji_breadcrumb_switcher = monji_meta('page_breadcrumb_trigger');
                                } else {
                                    $monji_breadcrumb_switcher = monji_opt('monji_enable_breadcrumb');
                                }

                            } else {
                                $monji_breadcrumb_switcher = '1';
                            }

                            if( $monji_breadcrumb_switcher == '1' && (  is_page() || is_page_template( 'template-builder.php' ) )) {
                                monji_breadcrumbs(
                                    
                                );
                            }
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            echo '</div>';
            echo '<!-- End of Page title -->';
        }
    } else {
        if( class_exists( 'ReduxFramework' )  ){
            $class = '';
        }else{
            $class = 'thumb-less';
        }
        echo '<!-- Page title -->';
        echo '<div class="breadcrumb-area shadow dark bg-cover text-center text-light '.esc_attr($class).'">';
            echo '<div class="container">';
                echo '<div class="row">';
                    echo '<div class="col-lg-12 col-md-12">';
                        if( class_exists( 'ReduxFramework' )  ){
                            $monji_page_title_switcher  = monji_opt('monji_page_title_switcher');
                        }else{
                            $monji_page_title_switcher = '1';
                        }

                        if( $monji_page_title_switcher ){
                            if( class_exists( 'ReduxFramework' ) ){
                                $monji_page_title_tag    = monji_opt('monji_page_title_tag');
                            }else{
                                $monji_page_title_tag    = 'h1';
                            }
                            if ( is_archive() ){
                                echo monji_heading_tag(
                                    array(
                                        "tag"   => esc_attr( $monji_page_title_tag ),
                                        "text"  => wp_kses( get_the_archive_title(), $allowhtml ),
                                        'class' => 'breadcumb-title'
                                    )
                                );
                            }elseif ( is_home() ){
                                $monji_blog_page_title_setting = monji_opt('monji_blog_page_title_setting');
                                $monji_blog_page_title_switcher = monji_opt('monji_blog_page_title_switcher');
                                $monji_blog_page_custom_title = monji_opt('monji_blog_page_custom_title');
                                if( class_exists('ReduxFramework') ){
                                    if( $monji_blog_page_title_switcher ){
                                        echo monji_heading_tag(
                                            array(
                                                "tag"   => esc_attr( $monji_page_title_tag ),
                                                "text"  => !empty( $monji_blog_page_custom_title ) && $monji_blog_page_title_setting == 'custom' ? esc_html( $monji_blog_page_custom_title) : esc_html__( 'Blog', 'monji' ),
                                                'class' => 'breadcumb-title'
                                            )
                                        );
                                    }
                                }else{
                                    echo monji_heading_tag(
                                        array(
                                            "tag"   => "h1",
                                            "text"  => esc_html__( 'Blog', 'monji' ),
                                            'class' => 'breadcumb-title',
                                        )
                                    );
                                }
                            }elseif( is_search() ){
                                echo monji_heading_tag(
                                    array(
                                        "tag"   => esc_attr( $monji_page_title_tag ),
                                        "text"  => esc_html__( 'Search Result', 'monji' ),
                                        'class' => 'breadcumb-title'
                                    )
                                );
                            }elseif( is_404() ){
                                echo monji_heading_tag(
                                    array(
                                        "tag"   => esc_attr( $monji_page_title_tag ),
                                        "text"  => esc_html__( '404 PAGE', 'monji' ),
                                        'class' => 'breadcumb-title'
                                    )
                                );
                            }else{
                                $posttitle_position  = monji_opt('monji_post_details_title_position');
                                $postTitlePos = false;
                                if( is_single() ){
                                    if( class_exists( 'ReduxFramework' ) ){
                                        if( $posttitle_position && $posttitle_position != 'header' ){
                                            $postTitlePos = true;
                                        }
                                    }else{
                                        $postTitlePos = false;
                                    }
                                }
                                if( $postTitlePos != true ){
                                    echo monji_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $monji_page_title_tag ),
                                            "text"  => wp_kses( get_the_title( ), $allowhtml ),
                                            'class' => 'breadcumb-title'
                                        )
                                    );
                                } else {
                                    if( class_exists( 'ReduxFramework' ) ){
                                        $monji_post_details_custom_title  = monji_opt('monji_post_details_custom_title');
                                    }else{
                                        $monji_post_details_custom_title = __( 'Blog Details','monji' );
                                    }

                                    if( !empty( $monji_post_details_custom_title ) ) {
                                        echo monji_heading_tag(
                                            array(
                                                "tag"   => esc_attr( $monji_page_title_tag ),
                                                "text"  => wp_kses( $monji_post_details_custom_title, $allowhtml ),
                                                'class' => 'breadcumb-title'
                                            )
                                        );
                                    }
                                }
                            }
                        }
                        if( class_exists('ReduxFramework') ) {
                            $monji_breadcrumb_switcher = monji_opt( 'monji_enable_breadcrumb' );
                        } else {
                            $monji_breadcrumb_switcher = '1';
                        }
                        if( $monji_breadcrumb_switcher == '1' ) {
                            monji_breadcrumbs(
                                array(
                                    'breadcrumbs_classes' => 'nav',
                                )
                            );
                        }
                    echo '</div>';
                echo '</div>';
            echo '</div>';
        echo '</div>';
        echo '<!-- End of Page title -->';
    }