<?php
/**
 * @Packge     : Monji
 * @Version    : 1.0
 * @Author     : Monji
 * @Author URI : https://themeforest.net/user/validthemes/portfolio
 *
 */

// Block direct access
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Include File
 *
 */

// Constants
require_once get_parent_theme_file_path() . '/inc/monji-constants.php';

//theme setup
require_once MONJI_DIR_PATH_INC . 'theme-setup.php';

//essential scripts
require_once MONJI_DIR_PATH_INC . 'essential-scripts.php';

//NavWalker
require_once MONJI_DIR_PATH_INC . 'monji-navwalker.php';

// plugin activation
require_once MONJI_DIR_PATH_FRAM . 'plugins-activation/monji-active-plugins.php';

// meta options
require_once MONJI_DIR_PATH_FRAM . 'monji-meta/monji-config.php';

// page breadcrumbs
require_once MONJI_DIR_PATH_INC . 'monji-breadcrumbs.php';

// sidebar register
require_once MONJI_DIR_PATH_INC . 'monji-widgets-reg.php';

//essential functions
require_once MONJI_DIR_PATH_INC . 'monji-functions.php';

// theme dynamic css
require_once MONJI_DIR_PATH_INC . 'monji-commoncss.php';

// helper function
require_once MONJI_DIR_PATH_INC . 'wp-html-helper.php';

// Demo Data
require_once MONJI_DEMO_DIR_PATH . 'demo-import.php';

// monji options
require_once MONJI_DIR_PATH_FRAM . 'monji-options/monji-options.php';

// hooks
require_once MONJI_DIR_PATH_HOOKS . 'hooks.php';

// hooks funtion
require_once MONJI_DIR_PATH_HOOKS . 'hooks-functions.php';